Page MenuHomePhabricator

Potential "Featured Projects" which welcome Onboarding New Developers
Closed, ResolvedPublic

Description

Particpating projects (more to come):

  • ✔ Kiwix (Quim discussed at WMCon)
  • ✔ Huggle (Andre talked to Petr)
  • ✔ Newsletter extension
  • ✔ Commons Android App
  • ...

Related Objects

Event Timeline

Aklapper created this task.May 20 2017, 7:33 PM
Aklapper updated the task description. (Show Details)May 22 2017, 10:36 AM
Qgil added a subscriber: Volker_E.May 22 2017, 4:50 PM

Design team and myself have agreed that we're going to put this as a test case with sufficient links to GitHub instead of mediawiki.org for trying different outreach to volunteer designers, UX folks and engineers.

It would be great to have at least one Featured Project targeting volunteer designers, justifying that bet for GitHub.

Volker_E added a comment.EditedMay 29 2017, 11:05 PM

@Qgil Sorry, I'm not sure, I understand. What do you mean by “Featured Project”? To my knowledge there's no “Onboarding Designers“ program (yet)…?

Qgil added a comment.Jun 1 2017, 12:20 AM

To my knowledge there's no “Onboarding Designers“ program (yet)…?

That's right. What we are doing here is to provide a simpler framework for i.e. you to start one in a simple way. No worries, you don't need to be among the earliest adopters. Just keep an eye here.

Qgil added a subscriber: Rfarrand.Jun 30 2017, 10:01 AM

Summarizing here some ideas emerging in various conversations, up for discussion:

"Featured Projects" must be a flexible concept in order to accommodate what were slightly different needs under the same roof:

  • When we said "a newcomer is asking for a first task in <somewhere>", now those first tasks are organized around Featured Projects, because it is there where we can guarantee decent documentation and support from mentors.
  • When we said "we need a selection of tasks for newcomers for Hackathon X", now this selection of tasks is the one provided by Featured Projects, since those tasks will require basic documentation and mentors anyway.
  • When we said "we need to select Community Wishlist / Developer Wishlist wishes that are suitable for newcomers", now this selection (if we get any wish selected) also implies the framing of those wishes as part of Featured Projects, because we also need decent documentation and mentors for them.
  • When we said "GSoC / Outreachy / Developer Outreach Program X is coming and we need projects and mentors", now those projects and mentors are no other than the Featured Projects.
  • When we said "a university has a teacher who wants to introduce an assignment to their students consisting in developing a project for Wikimedia", then that assignment must be aligned with a Featured Project.
  • When we said "we have Possible-Tech-Projects", now what we have in fact are possible Featured Projects.

And maybe we said even more things, and all them should be seen now as potential Featured Projects. It is clear that all these projects and tasks will not fit directly in the shape of a Featured Project, but I believe it is easy to agree that this fragmentation doesn't help anyone. Imagination and flexibility will help better mentors and newcomers than strict definitions. Anyway we are not forcing everything and everyone to become a Featured Project, we are just planning to focus our support on those projects and mentors willing to try this approach.

As an example, "fixing gadgets" could be seen as an activity good for newcomers, but not fitting in the framework of Featured Projects because most gadgets don't have enough entity to become a project-project, with mentors, documentation, a variety of first tasks, and so forth. True. However, we could also see "Fixing Gadgets" as a Featured Project targeting JavaScript developers, where mentors would be gadget developers happy to collect tasks and help newcomers, the documentation would be the general documentation for Gadget development, a support channel would be agreed to funnel these newcomers even if they work on different gadgets, and so forth.

+1 to @Qgil's ideas!

@Aklapper For the list of tasks portion in featured tasks, I'm wondering... in addition to redirecting to the bug tracker, we also keep on-wiki a well maintained, good mix (beginner, intermediate, expert level) of tasks (~5-6).

In the context of featured projects and list prepared for T169709, a few thoughts, and noticings:

  • For the newsletter extension, I couldn’t find any easy tasks that are ready to be claimed. Tony will look into this he said.
  • For Kiwix and Huggle, what we currently have linked to the repository from the New Developers page, don’t appear to have newcomer-friendly tasks available and there is less activity in them. I found their other repository links useful. I’ve added links to the tasks tagged with "enhancement" label for now (as they appeared easy to get started with, but there might be others too). Perhaps, it would be good to check with maintainers what repository link (with tasks tagged with certain labels) would they recommend, developer docs, etc.
  • We could also try to encourage maintainers to have a few tasks available with a #newcomer-friendly or similar label. A few good examples are here:
  • Some of the projects from T169709 could be our featured projects once we check with mentors/ maintainers.
Aklapper updated the task description. (Show Details)Jul 10 2017, 12:18 PM
Qgil added a subscriber: D3r1ck01.Jul 13 2017, 7:26 AM

After the request from the Universitat Autònoma de Barcelona, now we are getting a similar request from @D3r1ck01 in the context of the University of Buea. Better collaboration with universities is an explicit goal of our Onboarding New Developers program, where the Wikipedia Education Program is mentioned explicitly but of course the collaboration should be open to other universities as well.

There is quite a bit of information that could be specific to collaboration with universities around Featured Projects that is now spread in tasks, etherpads, emails. Maybe it is time to create a task about having a page under Featured Projects targeted to university teachers and students interested in final career projects?

Maybe it is time to create a task about having a page under Featured Projects targeted to university teachers and students interested in final career projects?

IMO not under Featured Projects, but at some point, we should recycle this page https://www.mediawiki.org/wiki/Starter_kit to serve workshop organizers, university teachers, etc.. add information about Featured Projects, include presentation materials, videos, etc. that will help them carry out this work.

Qgil added a comment.EditedJul 14 2017, 9:02 AM

I was thinking more of a page explaining what we offer to universities. @srishakatux a page with specific instructions makes sense when a teacher/student already has decided to commit and dive into, but for that they need to understand what we have for them, what we have done with other universities before, and so on.

Maybe it is time to create a task about having a page under Featured Projects targeted to university teachers and students interested in final career projects?

Yes: T171242: Universities: Which developer tasks/projects/work can we offer to teachers and students interested in final career projects?

Quim asked me to check if the projects we have featured for Outreachy Round 15 (https://www.mediawiki.org/wiki/Outreachy/Round_15) could become possible candidates for featured projects, I think my answer is no.
We did reach out to mentors of featured projects in New Developers and asked if they wanted to showcase a project for Outreachy Round 15.
WikiEd dashboard is the only one onboard, there was some interest from Android apps team (https://github.com/commons-app/apps-android-commons/issues/815), but the mentors will not have time to commit to this round, and there are some dependency issues too.
Didn't hear back from others.

Qgil closed this task as Resolved.Oct 4 2017, 7:24 AM

Correct me if I'm wrong, but isn't this task completed? It's time to archive Developer-Advocacy (Jul-Sep 2017) and I'll be bold here.

Correct me if I'm wrong, but isn't this task completed?

It is. Thanks!
Summarizing:

For the records, regarding more potential featured projects that were contacted,